Subject: [Sip] Any existing effort using rport for NAT traversal of media?

From: 차현욱 <[email-masked]>
Date: Mon, 11 Jul 2005 03:45:03 +0000 (GMT)

Hello, all.

I am newbie in SIP. I have a question as subject says.
There are various efforts (including STUN, ICE, rport, symmetric RTP, TURN, etc.) to solve NAT traversal problem for SIP and media session. 
I think rport can be used for NAT traversal of media session as well as SIP signalling. What I have in mind is as follows. 
UAC can send INVITE request to itself using IP address(private) and port which it want to use for media session as source ip and source port. Then, outbound proxy which is on public side receives the INVITE message and inserts received and rport fields into via header because source IP address and port given by NAT are different those in via header. So, UAC can obtain its public IP address and port associated by NAT only if it can receive inbound call request. 
If I am not wrong, this can be a limited solution like STUN. 
Any comments or advices?

Thanks in advance.

Joseph HyunWook Cha
 
E-mail : [email-masked]  
Tel  031-279-3804
H.P  010-2828-3804
FAX  031-279-2296

VoIP Part
OfficeServ Development Group
Internet Infra Business Team
Network System Division

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip